| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::RenderTarget::FrameStats Struct Reference

`#include <OgreRenderTarget.h>`

## Public Attributes
float | avgFPS
| average frames per second (FPS) since call to Root::startRendering More...
size_t | batchCount
| number of batches rendered in the last update() call. More...
float | bestFPS
| best frames per second (FPS) since call to Root::startRendering More...
unsigned long | bestFrameTime
float | lastFPS
| frames per second (FPS) based on the frames rendered in the last second More...
size_t | triangleCount
| number of triangles rendered in the last update() call. More...
int | vBlankMissCount
float | worstFPS
| worst frames per second (FPS) since call to Root::startRendering More...
unsigned long | worstFrameTime

## Member Data Documentation

## ◆ lastFPS

float Ogre::RenderTarget::FrameStats::lastFPS

frames per second (FPS) based on the frames rendered in the last second

## ◆ avgFPS

float Ogre::RenderTarget::FrameStats::avgFPS

average frames per second (FPS) since call to Root::startRendering

## ◆ bestFPS

float Ogre::RenderTarget::FrameStats::bestFPS

best frames per second (FPS) since call to Root::startRendering

## ◆ worstFPS

float Ogre::RenderTarget::FrameStats::worstFPS

worst frames per second (FPS) since call to Root::startRendering

## ◆ bestFrameTime

unsigned long Ogre::RenderTarget::FrameStats::bestFrameTime

## ◆ worstFrameTime

unsigned long Ogre::RenderTarget::FrameStats::worstFrameTime

## ◆ triangleCount

size_t Ogre::RenderTarget::FrameStats::triangleCount

number of triangles rendered in the last update() call.

## ◆ batchCount

size_t Ogre::RenderTarget::FrameStats::batchCount

number of batches rendered in the last update() call.

## ◆ vBlankMissCount

int Ogre::RenderTarget::FrameStats::vBlankMissCount

The documentation for this struct was generated from the following file:

- OgreRenderTarget.h